Subject: Re: [bug#33893] [PATCH v5 2/4] gnu: Add docker-engine.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 08 Jan 2019 09:42:14 +0100

Hello,

Danny Milosavljevic <[email-masked]> skribis:

> On Sun, 06 Jan 2019 21:20:35 +0100
> Ludovic Courtès <[email-masked]> wrote:
>
>> Danny Milosavljevic <[email-masked]> skribis:
>> 
>> > * gnu/packages/docker.scm (docker-engine): New variable.
>> > (%docker-version): New variable.  
>> 
>> [...]
>> 
>> > +              ;(("LookPath") "Guix_doesnt_want_LookPath")  
>> 
>> No longer needed?
>
> It was meant as a detector in order to make compilation fail when, in future
> versions, docker wants to invok new stuff that we didn't patch yet.
> Should we do that?

I see, it sounds like a good idea.  Also add a comment explaining the
rationale.

>> > +         (replace 'build
>> > +           (lambda _
>> > +             ;(invoke "hack/make.sh" "binary")
>> > +             ; FIXME: bash -c 'hack/validate/default && hack/make.sh'  
>> 
>> It’s not clear to me what should be fixed; perhaps a leftover?
>
> Yeah, I meant to check what hack/validate/default does and it seems to do
> developer-specific tests (commit message formatted the right way etc), so
> I guess we can just not invoke it.

OK.

>> > +         (replace 'check
>> > +           (lambda _
>> > +             ; FIXME: Those don't find any of the go packages
>> > +             ; needed.  Probably GOPATH/GOROOT related.
>> > +             ;(invoke "hack/test/unit")
>> > +             #t))  
>> 
>> That’s potentially problematic.  :-)  Any idea how difficult it would be
>> to run these tests?
>
> Go has peculiar ideas of how the directory layout is supposed to be set up.
> I could probably figure it out - but if someone with more Go knowledge could
> step forward it would be much faster.

I see Leo is Cc’d so we’ll see.  :-)

Thank you,
Ludo’.